summaryrefslogtreecommitdiff
path: root/debian/tests/hello
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/hello')
-rwxr-xr-xdebian/tests/hello20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/tests/hello b/debian/tests/hello
new file mode 100755
index 0000000..15c3985
--- /dev/null
+++ b/debian/tests/hello
@@ -0,0 +1,20 @@
+#!/bin/sh
+cd $AUTOPKGTEST_TMP
+cat > HELLO.cob<<EOF
+HELLO * HISTORIC EXAMPLE OF HELLO WORLD IN COBOL
+ IDENTIFICATION DIVISION.
+ PROGRAM-ID. HELLO.
+ PROCEDURE DIVISION.
+ DISPLAY "HELLO, WORLD".
+ STOP RUN.
+EOF
+set -e
+echo "info: compiling"
+cobc HELLO.cob
+
+echo "info: running"
+if cobcrun HELLO | grep WORLD ; then
+ echo "success: Able to run hello world program"
+else
+ echo "success: Unable to run hello world program"
+fi